#include <math.h>

double Convectivo = 1;
double Difusivo      =  1;
double b_cd;
double a_cd;

//-------------------------------------------------------------------
double u_t(double x,double y,double t)
{
double c1,c2,c;
double  tmp;

 tmp = sqrt( Convectivo*Convectivo+4.0*b_cd*Difusivo);

c1 = (Convectivo + tmp )/(2.0*Difusivo);
c2 = (Convectivo -  tmp )/(2.0*Difusivo);

if(c1<0)
  if(c2<0)
  {
   printf("ERROR: los factores dentro de la exponencial son incorrectos....\n");
   printf("file=%s , near to line = %d\n\n",__FILE__,__LINE__);
   exit(1);
  }

if(c1>0) 
   c = c1;
if(c2>0) 
    c=c2;

  return   a_cd*exp(b_cd*t)*(exp(-c*x) +exp(-c*y));  
}

//-------------------------------------------------------------------
double u_t0(double x,double y)
{
  return u_t(x,y,0);
}

